romaldo10 free asked 9 months ago


Hello MDB support team,

I am writing to inform you of a problem with the compatibility of the React version with Next.js 13.

I am a developer who has been using MDB in my projects for some time and I have always been very satisfied with the performance and results. However, I recently upgraded to Next.js 13 and I realized that the React version that MDB is using is not compatible with Next.js 13.

This has caused some problems with my project, such as rendering errors and slow performance. I have tried to upgrade to the latest version of MDB, but the problem persists.

I would appreciate it if you could investigate this issue and find a solution. MDB is my favorite framework and I would like to be able to continue using it in my projects.

Thank you for your time and consideration.


Mateusz Lazaru staff commented 9 months ago

Hi!

Thank you for reaching out to us and bringing this issue to our attention. We truly value your support and dedication to using MDB in your projects. Could you provide some more details about the problems you're facing?

It would help me a lot if you would answer these questions:

  1. what kind of render errors have you encountered
  2. are these problems isolated to certain components, or do they seem to affect the entire MDB library when integrated with Next.js 13?
  3. how are you using our ui-kit (how have you installed it, and how is it imported)


Please insert min. 20 characters.

FREE CONSULTATION

Hire our experts to build a dedicated project. We'll analyze your business requirements, for free.

Status

Answered

Specification of the issue

  • ForumUser: Free
  • Premium support: No
  • Technology: MDB React
  • MDB Version: -
  • Device: -
  • Browser: -
  • OS: -
  • Provided sample code: No
  • Provided link: No